<?php
!defined('M_P') && exit('Forbidden');

$pwFupForumId = $forum[$fid]['fup'];
$pwFupForumName = strip_tags($forum[$pwFupForumId]['name']);
foreach ($forum as $key => $value) {
	if ($value['fup']==$pwFupForumId && $value['f_type'] != 'hidden' && $value['cms'] != 1) {
		$pwFupForum[] = $value;
	}
	if ($value['type'] == 'category' && $value['cms'] != 1) {
		$value['name'] = strip_tags($value['name']);
		$pwCatedb[$key] = $value['name'];
	}
}

if ($forumset['commend']) {
	$foruminfo['commend'] = unserialize($foruminfo['commend']);
	if ($forumset['commendtime'] && $timestamp-$forumset['ifcommend']>$forumset['commendtime']) {
		updatecommend($fid,$forumset);
	}
}

require_once(R_P.'require/element.class.php');// Load Element Class
$element = new Element();
$newpicdb = $element->newPic('',$fid,2);

foreach ($newpicdb as $pics) {
	$newpicdbs[] = array(
		'url' => $pics['url'],
		'title' => substrs($pics['title'],40),
		'image' => $pics['image'],
	);
}

// other cache info
@include_once(D_P.'data/bbscache/mode_area_side.php');
@include_once Pcv(D_P.'data/bbscache/mode_area_thread_'.$fid.'.php');

$fidassociate = simpleGuide($fid);
?>